Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class SumLatticeScaling

    java.lang.Object
      cc.mallet.fst.SumLatticeScaling

All Implemented Interfaces:
  SumLattice

    public class SumLatticeScaling

extends java.lang.Object
implements SumLattice

Nested Class Summary
`static class` | `SumLatticeScaling.Factory`
`protected class` | `SumLatticeScaling.LatticeNode`

Field Summary
`protected static boolean` | `saveXis`

Constructor Summary
`protected` | `SumLatticeScaling()`
`` | `SumLatticeScaling(Transducer trans, Sequence input)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, boolean saveXis)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, Sequence output)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, Sequence output, Transducer.Incrementor incrementor)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, Sequence output, Transducer.Incrementor incrementor, boolean saveXis)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, Sequence output, Transducer.Incrementor incrementor, boolean saveXis, LabelAlphabet outputAlphabet)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, Sequence output, Transducer.Incrementor incrementor, LabelAlphabet outputAlphabet)`
`` | `SumLatticeScaling(Transducer trans, Sequence input, Transducer.Incrementor incrementor)`

Method Summary
`double` | `getAlpha(int ip, Transducer.State s)`
`double` | `getBeta(int ip, Transducer.State s)`
`double` | `getGammaProbability(int inputPosition, int stateIndex)`
`double` | `getGammaProbability(int inputPosition, Transducer.State s)`
`double[][]` | `getGammas()`
`double` | `getGammaWeight(int inputPosition, int stateIndex)`
`double` | `getGammaWeight(int inputPosition, Transducer.State s)`
`LabelVector` | `getLabelingAtPosition(int outputPosition)`
`protected SumLatticeScaling.LatticeNode` | `getLatticeNode(int ip, int stateIndex)`
`double` | `getTotalWeight()`
`Transducer` | `getTransducer()`
`double` | `getXiProbability(int ip, Transducer.State s1, Transducer.State s2)`
`double[][][]` | `getXis()`
`double` | `getXiWeight(int ip, Transducer.State s1, Transducer.State s2)`
`int` | `length()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### saveXis

    protected static boolean saveXis

Constructor Detail

### SumLatticeScaling

    protected SumLatticeScaling()

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             boolean saveXis)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             Transducer.Incrementor incrementor)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             Sequence output)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             Sequence output,
                             Transducer.Incrementor incrementor)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             Sequence output,
                             Transducer.Incrementor incrementor,
                             LabelAlphabet outputAlphabet)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             Sequence output,
                             Transducer.Incrementor incrementor,
                             boolean saveXis)

### SumLatticeScaling

    public SumLatticeScaling(Transducer trans,
                             Sequence input,
                             Sequence output,
                             Transducer.Incrementor incrementor,
                             boolean saveXis,
                             LabelAlphabet outputAlphabet)

Method Detail

### getLatticeNode

    protected SumLatticeScaling.LatticeNode getLatticeNode(int ip,
                                                           int stateIndex)

### getXis

    public double[][][] getXis()

  Specified by:
    `getXis` in interface `SumLattice`

### getGammas

    public double[][] getGammas()

  Specified by:
    `getGammas` in interface `SumLattice`

### getTotalWeight

    public double getTotalWeight()

  Specified by:
    `getTotalWeight` in interface `SumLattice`

### getGammaWeight

    public double getGammaWeight(int inputPosition,
                                 Transducer.State s)

  Specified by:
    `getGammaWeight` in interface `SumLattice`

### getGammaWeight

    public double getGammaWeight(int inputPosition,
                                 int stateIndex)

### getGammaProbability

    public double getGammaProbability(int inputPosition,
                                      Transducer.State s)

  Specified by:
    `getGammaProbability` in interface `SumLattice`

### getGammaProbability

    public double getGammaProbability(int inputPosition,
                                      int stateIndex)

### getXiProbability

    public double getXiProbability(int ip,
                                   Transducer.State s1,
                                   Transducer.State s2)

  Specified by:
    `getXiProbability` in interface `SumLattice`

### getXiWeight

    public double getXiWeight(int ip,
                              Transducer.State s1,
                              Transducer.State s2)

  Specified by:
    `getXiWeight` in interface `SumLattice`

### length

    public int length()

  Specified by:
    `length` in interface `SumLattice`

### getAlpha

    public double getAlpha(int ip,
                           Transducer.State s)

  Specified by:
    `getAlpha` in interface `SumLattice`

### getBeta

    public double getBeta(int ip,
                          Transducer.State s)

  Specified by:
    `getBeta` in interface `SumLattice`

### getLabelingAtPosition

    public LabelVector getLabelingAtPosition(int outputPosition)

  Specified by:
    `getLabelingAtPosition` in interface `SumLattice`

### getTransducer

    public Transducer getTransducer()

  Specified by:
    `getTransducer` in interface `SumLattice`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD